from orator.migrations import Migration


class CreateUsersTable(Migration):

    def up(self):
        """
        Run the migrations.
        """
        with self.schema.create('users') as table:
            table.increments('id')
            table.timestamps()
            table.string('name')
            table.integer('age').unsigned().nullable()
            table.date('birthday').nullable()

    def down(self):
        """
        Revert the migrations.
        """
        self.schema.drop('users')
