from orator.migrations import Migration


class CreateItemsTable(Migration):

    def up(self):
        """
        Run the migrations.
        """
        with self.schema.create('items') as table:
            table.increments('id')
            table.timestamps()
            table.integer('user_id').unsigned()
            table.foreign('user_id').references('id').on('users')
            table.string('title')
            table.string('description').nullable()

    def down(self):
        """
        Revert the migrations.
        """
        self.schema.drop('items')
